summaryrefslogtreecommitdiff
path: root/nonsystemd/docker-openrc/docker.initd
diff options
context:
space:
mode:
Diffstat (limited to 'nonsystemd/docker-openrc/docker.initd')
-rw-r--r--nonsystemd/docker-openrc/docker.initd32
1 files changed, 32 insertions, 0 deletions
diff --git a/nonsystemd/docker-openrc/docker.initd b/nonsystemd/docker-openrc/docker.initd
new file mode 100644
index 000000000..5a4860d56
--- /dev/null
+++ b/nonsystemd/docker-openrc/docker.initd
@@ -0,0 +1,32 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+command="${DOCKERD_BINARY:-/usr/bin/dockerd}"
+pidfile="${DOCKER_PIDFILE:-/run/${RC_SVCNAME}.pid}"
+command_args="-p \"${pidfile}\" ${DOCKER_OPTS}"
+DOCKER_LOGFILE="${DOCKER_LOGFILE:-/var/log/${RC_SVCNAME}.log}"
+DOCKER_ERRFILE="${DOCKER_ERRFILE:-${DOCKER_LOGFILE}}"
+DOCKER_OUTFILE="${DOCKER_OUTFILE:-${DOCKER_LOGFILE}}"
+start_stop_daemon_args="--background \
+ --stderr \"${DOCKER_ERRFILE}\" --stdout \"${DOCKER_OUTFILE}\""
+
+extra_started_commands="reload"
+
+rc_ulimit="${DOCKER_ULIMIT:--c unlimited -n 1048576 -u unlimited}"
+
+retry="${DOCKER_RETRY:-TERM/60/KILL/10}"
+
+depend() {
+ need containerd
+}
+
+start_pre() {
+ checkpath -f -m 0644 -o root:docker "$DOCKER_LOGFILE"
+}
+
+reload() {
+ ebegin "Reloading ${RC_SVCNAME}"
+ start-stop-daemon --signal HUP --pidfile "${pidfile}"
+ eend $? "Failed to stop ${RC_SVCNAME}"
+}